
We were on vacation. I was running to the bathroom from the campsite. I had told the children to never go anyplace alone. But I did not think of this because I really had to go. I just jumped up and ran to the secluded bathroom. As I was running there, someone grabbed my long hair from behind me, slinging me around so he could hit me with his knuckled hands. I felt being thrown around and then a very sharp pain.

After that I felt nothing because I was floating! As my body started falling down on the ground, time seemed to slow down. Then suddenly, I was floating upwards with this feeling of wonderfully warm and secure LOVE! This warmth BLANKET of engulfing love surrounded me. I can still shut my eyes and feel the love and secure feeling, as if everyone on Earth loved me. There is just NO human words to describe the warmth and the love I was engulfed in. I then was walking with my eyes closed. I could FEEL that there were two angelic beings, one on each side of me, as we walked. I could hear people as we walked, but was told to keep walking. I was being shown a beautiful place and I felt I had a choice to remain if I wanted to. Somehow, I had Fulfilled whatever I was supposed to do. I then was thinking how wonderful it would be to remain there, when I suddenly heard my baby daughter crying and calling out to God to save her MAMA!

I was back in my body, in a painful state again and then passed out from the pain. I came to consciousness a couple of days later. My head was swollen so large I had to have two pillows to place my head on. I had broken facial bones, a broken skull, and bruises everywhere on my body. I heard a few months later that my daughter had been riding in a police car on the way to the hospital when over the police scanner she heard, 'Take the minor child on to CPS as the victim has expired.' She then started crying out to God to bring her mama back. They must have taken her to CPS [child protective services] where later she was told her mother had actually been REVIVED.
